- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# FbxGlobalCameraSettings Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This class contains the global camera settings.

Remarks:
  This class exists for FBX version 6.x and earlier. The new FBX v7.x file format that is now the default no longer uses it. The relevant data (a subset of this class) has been moved to the FbxGlobalSettings object and should be used instead.

Examples:

  ViewScene/SetCamera.cxx.

Definition at line 46 of file fbxglobalcamerasettings.h.

`#include <fbxglobalcamerasettings.h>`

List of all members.

## Public Member Functions
const FbxGlobalCameraSettings & | operator= (const FbxGlobalCameraSettings &pGlobalCameraSettings)
| Assignment operator.
bool | CopyProducerCamera (FbxString pCameraName, const FbxCamera *pCamera) const
int | GetProducerCamerasCount () const
## Friends
class | FbxScene
## Default camera settings.
enum | EViewingMode { eStandard, eXRay, eModelsOnly }
| Viewing modes. More...
bool | SetDefaultCamera (char *pCameraName)
| Sets the default camera.
char * | GetDefaultCamera () const
| Returns the default camera name.
void | RestoreDefaultSettings ()
| Restores the default settings.
void | SetDefaultViewingMode (EViewingMode pViewingMode)
| Sets the default viewing mode.
EViewingMode | GetDefaultViewingMode () const
| Returns the default viewing mode.
## Producer Cameras
Producer cameras are global cameras in MotionBuilder you use to view the scene.You cannot animate Producer cameras but you can specify their default positions.
void | CreateProducerCameras ()
| Creates the default Producer cameras.
void | DestroyProducerCameras ()
| Destroys the default Producer cameras.
bool | IsProducerCamera (FbxCamera *pCamera) const
| Checks if the camera is a Producer camera.
FbxCameraSwitcher * | GetCameraSwitcher () const
| Returns the Camera Switcher.
void | SetCameraSwitcher (FbxCameraSwitcher *pSwitcher)
| Sets the Camera Switcher.
FbxCamera * | GetCameraProducerPerspective () const
| Returns a reference to the Producer perspective camera.
FbxCamera * | GetCameraProducerTop () const
| Returns a reference to the Producer top camera.
FbxCamera * | GetCameraProducerBottom () const
| Returns a reference to the Producer bottom camera.
FbxCamera * | GetCameraProducerFront () const
| Returns a reference to the Producer front camera.
FbxCamera * | GetCameraProducerBack () const
| Returns a reference to the Producer back camera.
FbxCamera * | GetCameraProducerRight () const
| Returns a reference to the Producer right camera.
FbxCamera * | GetCameraProducerLeft () const
| Returns a reference to the Producer left camera.
## Error Management
The same error object is shared among instances of this class.
enum | EErrorCode { eNullParameter, eUnknownCameraName, eErrorCount }
| Error identifiers, most of these are only used internally. More...
FbxError & | GetError ()
| Retrieves the error object.
EErrorCode | GetLastErrorID () const
| Returns last error code.
const char * | GetLastErrorString () const
| Returns the last error string.

## Member Enumeration Documentation

enum EViewingMode

Search for all occurrences

Viewing modes.

- eStandard
- eXRay
- eModelsOnly

Enumerator:

  eStandard | Search for all occurrences
  eXRay | Standard view mode. Search for all occurrences
  eModelsOnly | X ray view mode. Model only view mode. Search for all occurrences

Definition at line 76 of file fbxglobalcamerasettings.h.

            {
                eStandard,
                eXRay,
                eModelsOnly
            };

enum EErrorCode

Search for all occurrences

Error identifiers, most of these are only used internally.

- eNullParameter
- eUnknownCameraName
- eErrorCount

Enumerator:

  eNullParameter | Search for all occurrences
  eUnknownCameraName | Search for all occurrences
  eErrorCount | Search for all occurrences

Definition at line 195 of file fbxglobalcamerasettings.h.

            {
                eNullParameter,
                eUnknownCameraName,
                eErrorCount
            };

## Member Function Documentation

bool SetDefaultCamera | ( | char * | pCameraName | ) |

Search for all occurrences

Sets the default camera.

Parameters:

  pCameraName | Name of the default camera.

Returns:
  `True` if camera name is valid, returns `false` if it is not valid.

Remarks:
  A valid camera name must be either one of the defined tokens (PRODUCER_PERSPECTIVE, PRODUCER_TOP, PRODUCER_BOTTOM, PRODUCER_FRONT, PRODUCER_BACK, PRODUCER_RIGHT, PRODUCER_LEFT and CAMERA_SWITCHER) or the name of a camera that is inserted in the node tree under the scene's root node.

char* GetDefaultCamera | ( |  | ) | const

Search for all occurrences

Returns the default camera name.

Returns:
  The default camera name, or returns an empty string if no camera name has been specified.

void RestoreDefaultSettings | ( |  | ) |

Search for all occurrences

Restores the default settings.

void SetDefaultViewingMode | ( | EViewingMode | pViewingMode | ) |

Search for all occurrences

Sets the default viewing mode.

Parameters:

  pViewingMode | Viewing mode to set(eStandard, eXRay or eModelsOnly).

EViewingMode GetDefaultViewingMode | ( |  | ) | const

Search for all occurrences

Returns the default viewing mode.

Returns:
  The currently set Viewing mode.

void CreateProducerCameras | ( |  | ) |

Search for all occurrences

Creates the default Producer cameras.

Examples:
  ViewScene/SetCamera.cxx.

void DestroyProducerCameras | ( |  | ) |

Search for all occurrences

Destroys the default Producer cameras.

bool IsProducerCamera | ( | FbxCamera * | pCamera | ) | const

Search for all occurrences

Checks if the camera is a Producer camera.

Parameters:

  pCamera | The camera to check.

Returns:
  `True` if it is a producer camera, returns `false` if it is not a producer camera.

FbxCameraSwitcher* GetCameraSwitcher | ( |  | ) | const

Search for all occurrences

Returns the Camera Switcher.

Returns:
  A pointer to the Camera Switcher.

Remarks:
  This node has a `FbxNodeAttribute::eCameraSwitcher` node attribute type. This node is not saved when there is no camera in the scene. Nodes inserted below are never saved. Camera indices start at 1. Out of range indices are clamped between 1 and the number of cameras in the scene. The index of a camera refers to its order of appearance when searching the node tree depth first. If a camera is added or removed after camera indices have been set, the camera indices must be updated. It is easier to set camera indices once every camera have been set. Camera index keys must be set using constant interpolation to ensure that camera switches occur exactly at key time.

Examples:
  ViewScene/SetCamera.cxx.

void SetCameraSwitcher | ( | FbxCameraSwitcher * | pSwitcher | ) |

Search for all occurrences

Sets the Camera Switcher.

Parameters:

  pSwitcher | The Camera Switcher to be set.

FbxCamera* GetCameraProducerPerspective | ( |  | ) | const

Search for all occurrences

Returns a reference to the Producer perspective camera.

Returns:
  The reference to the internal Perspective camera.

Examples:
  ViewScene/SetCamera.cxx.

FbxCamera* GetCameraProducerTop | ( |  | ) | const

Search for all occurrences

Returns a reference to the Producer top camera.

Returns:
  The reference to the internal Top camera.

Examples:
  ViewScene/SetCamera.cxx.

FbxCamera* GetCameraProducerBottom | ( |  | ) | const

Search for all occurrences

Returns a reference to the Producer bottom camera.

Returns:
  The reference to the internal Bottom camera.

Examples:
  ViewScene/SetCamera.cxx.

FbxCamera* GetCameraProducerFront | ( |  | ) | const

Search for all occurrences

Returns a reference to the Producer front camera.

Returns:
  The reference to the internal Front camera.

Examples:
  ViewScene/SetCamera.cxx.

FbxCamera* GetCameraProducerBack | ( |  | ) | const

Search for all occurrences

Returns a reference to the Producer back camera.

Returns:
  The reference to the internal Back camera.

Examples:
  ViewScene/SetCamera.cxx.

FbxCamera* GetCameraProducerRight | ( |  | ) | const

Search for all occurrences

Returns a reference to the Producer right camera.

Returns:
  The reference to the internal Right camera.

Examples:
  ViewScene/SetCamera.cxx.

FbxCamera* GetCameraProducerLeft | ( |  | ) | const

Search for all occurrences

Returns a reference to the Producer left camera.

Returns:
  The reference to the internal Left camera.

Examples:
  ViewScene/SetCamera.cxx.

const FbxGlobalCameraSettings& operator= | ( | const FbxGlobalCameraSettings & | pGlobalCameraSettings | ) |

Assignment operator.

Parameters:

  pGlobalCameraSettings | FbxGlobalCameraSettings object assigned to this one.

FbxError& GetError | ( |  | ) |

Search for all occurrences

Retrieves the error object.

Returns:
  Reference to the error object.

EErrorCode GetLastErrorID | ( |  | ) | const

Search for all occurrences

Returns last error code.

Returns:
  Last error code.

const char* GetLastErrorString | ( |  | ) | const

Search for all occurrences

Returns the last error string.

Returns:
  Text description of the last error.

bool CopyProducerCamera | ( | FbxString | pCameraName,
|  | const FbxCamera * | pCamera
| ) |  | const

Search for all occurrences

int GetProducerCamerasCount | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 225 of file fbxglobalcamerasettings.h.

    { return 7; }

## Friends And Related Function Documentation

friend class FbxScene `[friend]`

Search for all occurrences

Definition at line 232 of file fbxglobalcamerasettings.h.

The documentation for this class was generated from the following file:

- fbxsdk/fileio/fbxglobalcamerasettings.h

FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings
FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings FbxGlobalCameraSettings